import { Buff, Bytes } from '@cmdcode/buff-utils';
import { Field } from './ecc.js';
import { verify } from './schnorr.js';
import { SignerConfig } from './schema/types.js';
export declare class Signer {
    static random: typeof Buff.random;
    static verify: typeof verify;
    readonly _secret: Field;
    readonly opt: SignerConfig;
    constructor(secret: Bytes, config?: Partial<SignerConfig>);
    get pubkey(): string;
    generate(path: Bytes): Signer;
    getSharedKey(pubkey: Bytes): string;
    hmac(msg: Bytes): string;
    musign(challenge: Bytes, nonces: Bytes[], vectors: Bytes[]): string;
    sign(msg: Bytes, opt?: Partial<SignerConfig>): string;
}
//# sourceMappingURL=signer.d.ts.map